Page 1 of 2 12 LastLast
Results 1 to 10 of 20

Thread: 42.3 broke Oracle Virtual Box

  1. #1

    Default 42.3 broke Oracle Virtual Box

    I recently upgraded 42.2->42.3
    I have been successfully running & recompiling vBox as new kernels were released an older Oracle version.
    Recompile of Oracle vBox fails in 42.3

    Code:
    make KBUILD_VERBOSE=1 SUBDIRS=/tmp/vbox.0 SRCROOT=/tmp/vbox.0 CONFIG_MODULE_SIG= -C /lib/modules/4.4.76-1-default/build modules
    make -C /usr/src/linux-4.4.76-1-obj/x86_64/default KBUILD_SRC=/usr/src/linux-4.4.76-1 \
    -f /usr/src/linux-4.4.76-1/Makefile modules
    test -e include/generated/autoconf.h -a -e include/config/auto.conf || (        \
    echo >&2;                            \
    echo >&2 "  ERROR: Kernel configuration is invalid.";        \
    echo >&2 "         include/generated/autoconf.h or include/config/auto.conf are missing.";\
    echo >&2 "         Run 'make oldconfig && make prepare' on kernel src to fix it.";    \
    echo >&2 ;                            \
    /bin/false)
    There is a previous thread on this problem suggesting that I should remove the Oracle version and install the version in the 42.3 repo (currently shown as v5.1.24-22.1). The repo version is much newer than v5.0.16 that I currently am trying to recompile.

    When I uninstall the Oracle version of vbox and install the repo version will it pick up the existing VM settings or will I have to recreate them for each VM?

    Thanks, Jon

  2. #2
    Join Date
    Mar 2011
    Location
    Sauerland
    Posts
    3,981

    Default AW: 42.3 broke Oracle Virtual Box

    Do you try the 5.1.26 from Oracle?

  3. #3
    Join Date
    May 2012
    Location
    Finland
    Posts
    2,004

    Default Re: 42.3 broke Oracle Virtual Box

    I built 5.1.26 vs 42.3 here; http://download.opensuse.org/reposit...USE_Leap_42.3/

    Includes KMP etc. I'll try to keep it up to date as VBox versions get released.
    .: miuku #suse @ irc.freenode.net
    :: miuku@opensuse.org

    .: h​ttps://download.opensuse.org/repositories/home:/Miuku/

  4. #4

    Default Re: 42.3 broke Oracle Virtual Box

    Quote Originally Posted by 6520302 View Post
    When I uninstall the Oracle version of vbox and install the repo version will it pick up the existing VM settings
    Yes.

    or will I have to recreate them for each VM?
    No.

    VirtualBox is exactly the same software regardless whether you install if from Oracle or openSUSE.

  5. #5

    Default Re: 42.3 broke Oracle Virtual Box

    PS:
    Quote Originally Posted by 6520302 View Post
    The repo version is much newer than v5.0.16 that I currently am trying to recompile.
    Maybe you would have more success if you'd try to compile a *current* version?

  6. #6

    Default Re: 42.3 broke Oracle Virtual Box

    Quote Originally Posted by Miuku View Post
    I built 5.1.26 vs 42.3 here; http://download.opensuse.org/reposit...USE_Leap_42.3/

    Includes KMP etc. I'll try to keep it up to date as VBox versions get released.
    While that's nice of you of course, I don't think it's really necessary. The latest versions should get released as official updates anyway, and are available in the Virtualization repo too for the impatient.

  7. #7
    Join Date
    May 2012
    Location
    Finland
    Posts
    2,004

    Default Re: 42.3 broke Oracle Virtual Box

    Quote Originally Posted by wolfi323 View Post
    While that's nice of you of course, I don't think it's really necessary. The latest versions should get released as official updates anyway, and are available in the Virtualization repo too for the impatient.
    Of course - I only did it for someone in iRC who was complaining "5.1.24 was too old" and wanted 5.1.26 for 42.3.

    I'll keep it up if someone has special requests (that can be filled using OBS, meaning no EXT package etc).
    .: miuku #suse @ irc.freenode.net
    :: miuku@opensuse.org

    .: h​ttps://download.opensuse.org/repositories/home:/Miuku/

  8. #8

    Default Re: 42.3 broke Oracle Virtual Box

    Thanks all who replied. I'll start with uninstall Oracle & use the one at 42.3 repo.
    I originally used the Oracle release because the openSuse repo was not updating vBox. It sounds like it may be kept updated as time goes on.

    I did check Oracle forums and the info I found was that there is an issue compiling with 42.3 so I did not try it.

  9. #9
    Join Date
    Oct 2009
    Location
    Sweden
    Posts
    1,015

    Default Re: 42.3 broke Oracle Virtual Box

    Hmm..
    Quote Originally Posted by Miuku View Post
    Of course - I only did it for someone in iRC who was complaining "5.1.24 was too old" and wanted 5.1.26 for 42.3.

    I'll keep it up if someone has special requests (that can be filled using OBS, meaning no EXT package etc).
    I have reading and tested, 2 of 3 PC s home here. There is as huge problem with 42,3 and Virtualbox littlle canin.Please be humble,

    Regarrds
    I'm shameless like others in the forum -was I to any help or made sense? If yes: click the on the star below to the left. Written whit a ;-) in my eye.

  10. #10

    Default Re: 42.3 broke Oracle Virtual Box

    Quote Originally Posted by jonte1 View Post
    I have reading and tested, 2 of 3 PC s home here. There is as huge problem with 42,3 and Virtualbox littlle canin.
    No, there is not.

    At least if you use openSUSE's virtualbox, haven't tried Oracle's myself (as there's no need for that IMHO...).

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •